function $AdfDhtmlChooseDateCompactTimeSelectionPanel$$() {
  $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$superclass$.constructor.call(this, "compactTime");
}
$goog$exportSymbol$$("AdfDhtmlChooseDateCompactTimeSelectionPanel", $AdfDhtmlChooseDateCompactTimeSelectionPanel$$);
$AdfObject$$.$createSubclass$($AdfDhtmlChooseDateCompactTimeSelectionPanel$$, $AdfDhtmlChooseDateLayoutPanel$$);
$AdfDhtmlChooseDateLayoutPanel$$.$registerLayoutPanel$($AdfDhtmlChooseDateCompactTimeSelectionPanel$$);
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.prototype.isEnabled = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$isEnabled$($component$$324$$, $rootDOMElem$$1$$) {
  return $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$superclass$.isEnabled.call(this, $component$$324$$, $rootDOMElem$$1$$) ? $AdfDhtmlChooseDateDOMQueries$$.$allowTimeSelection$($component$$324$$, $rootDOMElem$$1$$) : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateCompactTimeSelectionPanel.prototype.isEnabled", {isEnabled:$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.prototype.isEnabled});
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.prototype.$canProcessDomUIInputEvent$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$$canProcessDomUIInputEvent$$($component$$325$$, $componentEvent$$26$$) {
  $AdfAssert$$.$assertPrototype$($component$$325$$, AdfRichChooseDate);
  $AdfAssert$$.$assertPrototype$($componentEvent$$26$$, $AdfDomUIInputEvent$$);
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateCompactTimeSelectionPanel.prototype.canProcessDomUIInputEvent", {$canProcessDomUIInputEvent$:$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.prototype.$canProcessDomUIInputEvent$});
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.prototype.$canProcessComponentEvent$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$$canProcessComponentEvent$$($component$$326$$, $componentEvent$$27$$) {
  $AdfAssert$$.$assertPrototype$($component$$326$$, AdfRichChooseDate);
  $AdfAssert$$.$assertPrototype$($componentEvent$$27$$, $AdfComponentEvent$$);
  return $componentEvent$$27$$ instanceof $AdfChooseDateTimeSelectionEvent$$ || $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_eventSourceIsComponentWithId$($component$$326$$, $componentEvent$$27$$, $AdfDhtmlChooseDatePeer$$.$_HOUR_SPIN_ID$) || $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_eventSourceIsComponentWithId$($component$$326$$, $componentEvent$$27$$, $AdfDhtmlChooseDatePeer$$.$_MIN_SPIN_ID$) || $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_eventSourceIsComponentWithId$($component$$326$$, 
  $componentEvent$$27$$, $AdfDhtmlChooseDatePeer$$.$_SEC_SPIN_ID$) || $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_eventSourceIsComponentWithId$($component$$326$$, $componentEvent$$27$$, $AdfDhtmlChooseDatePeer$$.$_AMPM_ID$) ? !0 : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateCompactTimeSelectionPanel.prototype.canProcessComponentEvent", {$canProcessComponentEvent$:$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.prototype.$canProcessComponentEvent$});
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.prototype.$handleComponentTimeSelection$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$$handleComponentTimeSelection$$($component$$327$$, $timeSelectionEvent$$) {
  $AdfAssert$$.$assertPrototype$($component$$327$$, AdfRichChooseDate);
  $AdfAssert$$.$assertPrototype$($timeSelectionEvent$$, $AdfChooseDateTimeSelectionEvent$$);
  var $ampmComp_page$$24$$ = $AdfPage$$.$PAGE$, $cdRootElem$$8$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$327$$), $selectedTime$$2$$ = $timeSelectionEvent$$.getDate(), $displayHour$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDisplayableHour$($cdRootElem$$8$$, $selectedTime$$2$$);
  $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_updateSubComponentValue$($AdfDhtmlChooseDatePeer$$.$_HOUR_SPIN_ID$, $displayHour$$, $component$$327$$);
  $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_updateSubComponentValue$($AdfDhtmlChooseDatePeer$$.$_MIN_SPIN_ID$, $selectedTime$$2$$.getMinutes(), $component$$327$$);
  $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_updateSubComponentValue$($AdfDhtmlChooseDatePeer$$.$_SEC_SPIN_ID$, $selectedTime$$2$$.getSeconds(), $component$$327$$);
  if (!$AdfDhtmlChooseDateDOMQueries$$.$allowAMPMSelection$($component$$327$$, $cdRootElem$$8$$)) {
    return !0;
  }
  $ampmComp_page$$24$$ = $ampmComp_page$$24$$.$findComponent$($AdfRichUIPeer$$.$CreateSubId$($component$$327$$.$getClientId$(), $AdfDhtmlChooseDatePeer$$.$_AMPM_ID$));
  $AdfAssert$$.$assertPrototype$($ampmComp_page$$24$$, $AdfUIComponent$$);
  $ampmComp_page$$24$$.setValue(12 > $selectedTime$$2$$.getHours() ? "0" : "1");
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateCompactTimeSelectionPanel.prototype.handleComponentTimeSelection", {$handleComponentTimeSelection$:$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.prototype.$handleComponentTimeSelection$});
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.prototype.$handleComponentValueChange$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$$handleComponentValueChange$$($component$$328$$, $componentEvent$$28$$) {
  $componentEvent$$28$$.getSource().$getClientId$();
  var $cdRootElem$$9$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$328$$);
  return $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_eventSourceIsComponentWithId$($component$$328$$, $componentEvent$$28$$, $AdfDhtmlChooseDatePeer$$.$_HOUR_SPIN_ID$) ? $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_handleSubComponentValueChange$($component$$328$$, $componentEvent$$28$$, $cdRootElem$$9$$, function($component$$328$$, $componentEvent$$28$$, $cdRootElem$$9$$) {
    $AdfAssert$$.$assertPrototype$($cdRootElem$$9$$, AdfRichChooseDate);
    var $ampmComp$$1_ampmSubId$$ = $AdfRichUIPeer$$.$CreateSubId$($cdRootElem$$9$$.$getClientId$(), $AdfDhtmlChooseDatePeer$$.$_AMPM_ID$);
    if ($ampmComp$$1_ampmSubId$$ = $AdfPage$$.$PAGE$.$findComponent$($ampmComp$$1_ampmSubId$$)) {
      $AdfAssert$$.$assertPrototype$($ampmComp$$1_ampmSubId$$, AdfRichSelectOneRadio), $component$$328$$ = $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_resolveMeridiemTo24HourFormat$($component$$328$$, $ampmComp$$1_ampmSubId$$.getValue(), $cdRootElem$$9$$);
    }
    $component$$328$$ = parseInt($component$$328$$);
    isNaN($component$$328$$) && ($component$$328$$ = ($cdRootElem$$9$$ = $cdRootElem$$9$$.getDefaultValue()) ? $cdRootElem$$9$$.getHours() : 0);
    $componentEvent$$28$$.setHours($component$$328$$);
  }) : $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_eventSourceIsComponentWithId$($component$$328$$, $componentEvent$$28$$, $AdfDhtmlChooseDatePeer$$.$_MIN_SPIN_ID$) ? $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_handleSubComponentValueChange$($component$$328$$, $componentEvent$$28$$, $cdRootElem$$9$$, function($componentEvent$$28$$, $cdRootElem$$9$$) {
    var $defaultDate$$2_mm$$ = parseInt($componentEvent$$28$$);
    isNaN($defaultDate$$2_mm$$) && ($defaultDate$$2_mm$$ = ($defaultDate$$2_mm$$ = $component$$328$$.getDefaultValue()) ? $defaultDate$$2_mm$$.getMinutes() : 0);
    $cdRootElem$$9$$.setMinutes($defaultDate$$2_mm$$);
  }) : $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_eventSourceIsComponentWithId$($component$$328$$, $componentEvent$$28$$, $AdfDhtmlChooseDatePeer$$.$_SEC_SPIN_ID$) ? $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_handleSubComponentValueChange$($component$$328$$, $componentEvent$$28$$, $cdRootElem$$9$$, function($componentEvent$$28$$, $cdRootElem$$9$$) {
    var $defaultDate$$3_ss$$ = parseInt($componentEvent$$28$$);
    isNaN($defaultDate$$3_ss$$) && ($defaultDate$$3_ss$$ = ($defaultDate$$3_ss$$ = $component$$328$$.getDefaultValue()) ? $defaultDate$$3_ss$$.getSeconds() : 0);
    $cdRootElem$$9$$.setSeconds($defaultDate$$3_ss$$);
  }) : $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_eventSourceIsComponentWithId$($component$$328$$, $componentEvent$$28$$, $AdfDhtmlChooseDatePeer$$.$_AMPM_ID$) ? $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_handleSubComponentValueChange$($component$$328$$, $componentEvent$$28$$, $cdRootElem$$9$$, function($component$$328$$, $componentEvent$$28$$, $cdRootElem$$9$$) {
    $AdfAssert$$.$assertPrototype$($cdRootElem$$9$$, AdfRichChooseDate);
    var $hourComp_hourSubId$$ = $AdfRichUIPeer$$.$CreateSubId$($cdRootElem$$9$$.$getClientId$(), $AdfDhtmlChooseDatePeer$$.$_HOUR_SPIN_ID$), $hourComp_hourSubId$$ = $AdfPage$$.$PAGE$.$findComponent$($hourComp_hourSubId$$);
    $AdfAssert$$.$assertPrototype$($hourComp_hourSubId$$, AdfRichInputNumberSpinbox);
    $component$$328$$ = $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_resolveMeridiemTo24HourFormat$($hourComp_hourSubId$$.getValue(), $component$$328$$, $cdRootElem$$9$$);
    $componentEvent$$28$$.setHours($component$$328$$);
  }) : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateCompactTimeSelectionPanel.prototype.handleComponentValueChange", {$handleComponentValueChange$:$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.prototype.$handleComponentValueChange$});
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.prototype.$render$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$$render$$($component$$331$$, $panelRootElement$$2$$) {
  $AdfAssert$$.$assertPrototype$($component$$331$$, AdfRichChooseDate);
  $AdfAssert$$.assert(null != $panelRootElement$$2$$);
  var $laf$$10$$ = $AdfPage$$.$PAGE$.$getLookAndFeel$(), $rootWrapper$$ = $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_buildTableWrappedPanelRoot$($laf$$10$$, $panelRootElement$$2$$);
  $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_buildHoursMinutesSecondsComponentRow$($component$$331$$, $laf$$10$$, $rootWrapper$$);
  return $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_constructNewRichComponents$($component$$331$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateCompactTimeSelectionPanel.prototype.render", {$render$:$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.prototype.$render$});
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_resolveMeridiemTo24HourFormat$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$_resolveMeridiemTo24HourFormat$$($hours$$2$$, $ampm$$1$$, $component$$332$$) {
  $AdfAssert$$.$assertPrototype$($component$$332$$, AdfRichChooseDate);
  if (null == $hours$$2$$) {
    return null;
  }
  $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$332$$);
  12 == $hours$$2$$ && ($hours$$2$$ = 0);
  "1" == $ampm$$1$$ && ($hours$$2$$ = +$hours$$2$$ + 12);
  return $hours$$2$$;
};
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_handleSubComponentValueChange$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$_handleSubComponentValueChange$$($component$$333$$, $componentEvent$$29$$, $rootDOMElement_selectedTime$$3$$, $updateFunction$$) {
  $AdfAssert$$.$assertPrototype$($component$$333$$, AdfRichChooseDate);
  $AdfAssert$$.$assertPrototype$($componentEvent$$29$$, $AdfValueChangeEvent$$);
  $AdfAssert$$.$assertDomElement$($rootDOMElement_selectedTime$$3$$);
  $AdfAssert$$.$assertFunction$($updateFunction$$);
  $rootDOMElement_selectedTime$$3$$ = $AdfDhtmlChooseDateDOMQueries$$.$getSelectedDateAndTime$($component$$333$$, $rootDOMElement_selectedTime$$3$$);
  $AdfAssert$$.$assertDate$($rootDOMElement_selectedTime$$3$$);
  $updateFunction$$($componentEvent$$29$$.$getNewValue$(), $rootDOMElement_selectedTime$$3$$, $component$$333$$);
  $AdfChooseDateTimeSelectionEvent$$.$queue$($component$$333$$, $rootDOMElement_selectedTime$$3$$);
  $componentEvent$$29$$.cancel();
  return !0;
};
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_buildTableWrappedPanelRoot$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$_buildTableWrappedPanelRoot$$($laf$$11$$, $panelRootElem$$) {
  var $timeSelectionColumn_timeSelectionTable$$ = $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("td", {"class":$laf$$11$$.getStyleClass("af|chooseDate::time-selectors-row")}, $panelRootElem$$), $timeSelectionColumn_timeSelectionTable$$ = $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("table", {cellpadding:"0", cellspacing:"0", border:"0", summary:"", role:"presentation", "class":$laf$$11$$.getStyleClass("af|chooseDate::time-selectors-table")}, $timeSelectionColumn_timeSelectionTable$$);
  return $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("tbody", {}, $timeSelectionColumn_timeSelectionTable$$);
};
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_buildHoursMinutesSecondsComponentRow$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$_buildHoursMinutesSecondsComponentRow$$($component$$334$$, $laf$$12$$, $rootWrapper$$1_timeSelectionTableRow$$) {
  $rootWrapper$$1_timeSelectionTableRow$$ = $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("tr", {}, $rootWrapper$$1_timeSelectionTableRow$$);
  $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_buildHoursComponentIntoRow$($component$$334$$, $laf$$12$$, $rootWrapper$$1_timeSelectionTableRow$$);
  $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_buildSeparatorIntoRow$($laf$$12$$, $rootWrapper$$1_timeSelectionTableRow$$);
  $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_buildMinutesComponentIntoRow$($component$$334$$, $laf$$12$$, $rootWrapper$$1_timeSelectionTableRow$$);
  $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_buildSeparatorIntoRow$($laf$$12$$, $rootWrapper$$1_timeSelectionTableRow$$);
  $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_buildSecondsComponentIntoRow$($component$$334$$, $laf$$12$$, $rootWrapper$$1_timeSelectionTableRow$$);
  $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_buildAMPMComponentIntoRow$($component$$334$$, $laf$$12$$, $rootWrapper$$1_timeSelectionTableRow$$);
};
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_buildHoursComponentIntoRow$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$_buildHoursComponentIntoRow$$($component$$335_hourSpinbox$$, $laf$$13$$, $hourSpinboxColumn_row$$7$$) {
  var $cdRootElem$$11$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$335_hourSpinbox$$), $showDate$$2$$ = $AdfDhtmlChooseDateDOMQueries$$.$getSelectedDateAndTime$($component$$335_hourSpinbox$$, $cdRootElem$$11$$), $hourDigitCount$$ = $AdfDhtmlChooseDateDOMQueries$$.$getHourDigitCount$($component$$335_hourSpinbox$$, $cdRootElem$$11$$), $hourMinMax$$ = $AdfDhtmlChooseDateDOMQueries$$.$getMinMaxHours$($cdRootElem$$11$$), $clientId$$53$$ = $component$$335_hourSpinbox$$.$getClientId$();
  $hourSpinboxColumn_row$$7$$ = $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("td", {}, $hourSpinboxColumn_row$$7$$);
  $component$$335_hourSpinbox$$ = $AdfDhtmlChooseDateDOMUtils$$.$buildNumberSpinboxElement$($AdfRichUIPeer$$.$CreateSubId$($clientId$$53$$, $AdfDhtmlChooseDatePeer$$.$_HOUR_SPIN_ID$), $AdfDhtmlChooseDateDOMQueries$$.$getDisplayableHour$($cdRootElem$$11$$, $showDate$$2$$), $hourMinMax$$[0], $hourMinMax$$[1], 2, 1 < $hourDigitCount$$, $laf$$13$$.$getTranslatedString$("af_chooseDate.LABEL_SELECT_HOURS"), $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_constructNumberConverterForHourSpinBox$($component$$335_hourSpinbox$$));
  $hourSpinboxColumn_row$$7$$.appendChild($component$$335_hourSpinbox$$);
};
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_buildMinutesComponentIntoRow$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$_buildMinutesComponentIntoRow$$($component$$336_minuteSpinbox$$, $laf$$14$$, $minuteSpinboxColumn_row$$8$$) {
  var $cdRootElem$$12_minuteDigitCount$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$336_minuteSpinbox$$), $showDate$$3$$ = $AdfDhtmlChooseDateDOMQueries$$.$getSelectedDateAndTime$($component$$336_minuteSpinbox$$, $cdRootElem$$12_minuteDigitCount$$), $cdRootElem$$12_minuteDigitCount$$ = $AdfDhtmlChooseDateDOMQueries$$.$getMinuteDigitCount$($component$$336_minuteSpinbox$$, $cdRootElem$$12_minuteDigitCount$$), $clientId$$54$$ = $component$$336_minuteSpinbox$$.$getClientId$();
  $minuteSpinboxColumn_row$$8$$ = $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("td", {}, $minuteSpinboxColumn_row$$8$$);
  $component$$336_minuteSpinbox$$ = $AdfDhtmlChooseDateDOMUtils$$.$buildNumberSpinboxElement$($AdfRichUIPeer$$.$CreateSubId$($clientId$$54$$, $AdfDhtmlChooseDatePeer$$.$_MIN_SPIN_ID$), $showDate$$3$$.getMinutes(), 0, 59, 2, 1 < $cdRootElem$$12_minuteDigitCount$$, $laf$$14$$.$getTranslatedString$("af_chooseDate.LABEL_SELECT_MINUTES"), $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_constructNumberConverterForMinuteSpinBox$($component$$336_minuteSpinbox$$));
  $minuteSpinboxColumn_row$$8$$.appendChild($component$$336_minuteSpinbox$$);
};
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_buildSecondsComponentIntoRow$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$_buildSecondsComponentIntoRow$$($component$$337_secondSpinbox$$, $laf$$15$$, $row$$9_secondSpinboxColumn$$) {
  var $cdRootElem$$13_clientId$$55$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$337_secondSpinbox$$), $showDate$$4$$ = $AdfDhtmlChooseDateDOMQueries$$.$getSelectedDateAndTime$($component$$337_secondSpinbox$$, $cdRootElem$$13_clientId$$55$$), $secondDigitCount$$ = $AdfDhtmlChooseDateDOMQueries$$.$getSecondDigitCount$($component$$337_secondSpinbox$$, $cdRootElem$$13_clientId$$55$$);
  $AdfDhtmlChooseDateDOMQueries$$.$allowSecondsSelection$($component$$337_secondSpinbox$$, $cdRootElem$$13_clientId$$55$$);
  $cdRootElem$$13_clientId$$55$$ = $component$$337_secondSpinbox$$.$getClientId$();
  $row$$9_secondSpinboxColumn$$ = $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("td", {style:""}, $row$$9_secondSpinboxColumn$$);
  $component$$337_secondSpinbox$$ = $AdfDhtmlChooseDateDOMUtils$$.$buildNumberSpinboxElement$($AdfRichUIPeer$$.$CreateSubId$($cdRootElem$$13_clientId$$55$$, $AdfDhtmlChooseDatePeer$$.$_SEC_SPIN_ID$), $showDate$$4$$.getSeconds(), 0, 59, 2, 1 < $secondDigitCount$$, $laf$$15$$.$getTranslatedString$("af_chooseDate.LABEL_SELECT_SECONDS"), $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_constructNumberConverterForSecondSpinBox$($component$$337_secondSpinbox$$));
  $row$$9_secondSpinboxColumn$$.appendChild($component$$337_secondSpinbox$$);
};
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_buildAMPMComponentIntoRow$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$_buildAMPMComponentIntoRow$$($component$$338_meridiemTD$$, $laf$$16$$, $row$$10$$) {
  var $cdRootElem$$14_showAMPMInTwoRows$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$338_meridiemTD$$);
  $AdfDhtmlChooseDateDOMQueries$$.$allowAMPMSelection$($component$$338_meridiemTD$$, $cdRootElem$$14_showAMPMInTwoRows$$) && ($AdfDhtmlChooseDateDOMQueries$$.$getSelectedDateAndTime$($component$$338_meridiemTD$$, $cdRootElem$$14_showAMPMInTwoRows$$), $cdRootElem$$14_showAMPMInTwoRows$$ = $AdfDhtmlChooseDateDOMQueries$$.$showAMPMInTwoRows$($component$$338_meridiemTD$$, $cdRootElem$$14_showAMPMInTwoRows$$), $component$$338_meridiemTD$$ = $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_createAMPMComponentColumn$($component$$338_meridiemTD$$, 
  $laf$$16$$), $cdRootElem$$14_showAMPMInTwoRows$$ ? ($component$$338_meridiemTD$$.setAttribute("colspan", "3"), $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("tr", {}, $row$$10$$.parentElement).appendChild($component$$338_meridiemTD$$)) : $row$$10$$.appendChild($component$$338_meridiemTD$$));
};
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_createAMPMComponentColumn$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$_createAMPMComponentColumn$$($component$$339$$, $laf$$17$$) {
  var $amPmColumn$$ = $AdfDhtmlChooseDateDOMUtils$$.$createElementWithAttributes$("td", {}), $amPmSubID$$ = $AdfRichUIPeer$$.$CreateSubId$($component$$339$$.$getClientId$(), $AdfDhtmlChooseDatePeer$$.$_AMPM_ID$), $innerDiv_outerDiv$$4$$ = $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("div", {id:$amPmSubID$$, "class":$laf$$17$$.getStyleClass("af|chooseDate::ampm")}, $amPmColumn$$), $innerDiv_outerDiv$$4$$ = $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("div", {id:$AdfRichUIPeer$$.$CreateSubId$($amPmSubID$$, 
  "content"), name:$amPmSubID$$, "class":$laf$$17$$.getStyleClass("af|chooseDate::ampm-content")}, $innerDiv_outerDiv$$4$$), $cdRootElem$$15_showDate$$6$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$339$$), $cdRootElem$$15_showDate$$6$$ = $AdfDhtmlChooseDateDOMQueries$$.$getSelectedDateAndTime$($component$$339$$, $cdRootElem$$15_showDate$$6$$), $amSpan_pmSpan$$ = $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("span", {"class":$laf$$17$$.getStyleClass("af|chooseDate::ampm-content-input")}, 
  $innerDiv_outerDiv$$4$$);
  $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("input", {type:"radio", name:$amPmSubID$$, id:$amPmSubID$$ + ":_0", value:"0", "class":$laf$$17$$.getStyleClass("af|selectOneRadio::native-input"), accesskey:"", onclick:"this.focus()"}, $amSpan_pmSpan$$).checked = 12 > $cdRootElem$$15_showDate$$6$$.getHours();
  $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("label", {"for":$amPmSubID$$ + ":_0", "class":$laf$$17$$.getStyleClass("af|chooseDate::ampm-item-text")}, $innerDiv_outerDiv$$4$$).textContent = $AdfPage$$.$PAGE$.$getLookAndFeel$().$getTranslatedString$("af_chooseDate.AM");
  $amSpan_pmSpan$$ = $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("span", {"class":$laf$$17$$.getStyleClass("af|chooseDate::ampm-content-input")}, $innerDiv_outerDiv$$4$$);
  $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("input", {type:"radio", name:$amPmSubID$$, id:$amPmSubID$$ + ":_1", value:"1", "class":$laf$$17$$.getStyleClass("af|selectOneRadio::native-input"), accesskey:"", onclick:"this.focus()"}, $amSpan_pmSpan$$).checked = 12 <= $cdRootElem$$15_showDate$$6$$.getHours();
  $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("label", {"for":$amPmSubID$$ + ":_1", "class":$laf$$17$$.getStyleClass("af|chooseDate::ampm-item-text")}, $innerDiv_outerDiv$$4$$).textContent = $AdfPage$$.$PAGE$.$getLookAndFeel$().$getTranslatedString$("af_chooseDate.PM");
  return $amPmColumn$$;
};
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_buildSeparatorIntoRow$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$_buildSeparatorIntoRow$$($laf$$18$$, $row$$11$$) {
  $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("td", {"class":$laf$$18$$.getStyleClass("af|chooseDate::time-separator")}, $row$$11$$).textContent = ":";
};
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_constructNewRichComponents$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$_constructNewRichComponents$$($component$$341$$) {
  var $clientId$$56$$ = $component$$341$$.$getClientId$(), $components$$4$$ = [], $cdRootElem$$16$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$341$$), $hourMinMax$$1$$ = $AdfDhtmlChooseDateDOMQueries$$.$getMinMaxHours$($cdRootElem$$16$$);
  $components$$4$$.push($AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_constructNumberSpinBoxComponent$($AdfRichUIPeer$$.$CreateSubId$($clientId$$56$$, $AdfDhtmlChooseDatePeer$$.$_HOUR_SPIN_ID$), $hourMinMax$$1$$[0], $hourMinMax$$1$$[1], $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_constructNumberConverterForHourSpinBox$($component$$341$$)));
  $components$$4$$.push($AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_constructNumberSpinBoxComponent$($AdfRichUIPeer$$.$CreateSubId$($clientId$$56$$, $AdfDhtmlChooseDatePeer$$.$_MIN_SPIN_ID$), 0, 59, $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_constructNumberConverterForMinuteSpinBox$($component$$341$$)));
  $components$$4$$.push($AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_constructNumberSpinBoxComponent$($AdfRichUIPeer$$.$CreateSubId$($clientId$$56$$, $AdfDhtmlChooseDatePeer$$.$_SEC_SPIN_ID$), 0, 59, $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_constructNumberConverterForSecondSpinBox$($component$$341$$)));
  $AdfDhtmlChooseDateDOMQueries$$.$allowAMPMSelection$($component$$341$$, $cdRootElem$$16$$) && $components$$4$$.push($AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_constructSelectOneRadioComponent$($AdfRichUIPeer$$.$CreateSubId$($clientId$$56$$, $AdfDhtmlChooseDatePeer$$.$_AMPM_ID$)));
  return $components$$4$$;
};
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_updateSubComponentValue$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$_updateSubComponentValue$$($subCompId_subComponent$$, $newValue$$26$$, $clientId$$57_component$$342$$) {
  $AdfAssert$$.$assertString$($subCompId_subComponent$$);
  $AdfAssert$$.$assertPrototype$($clientId$$57_component$$342$$, AdfRichChooseDate);
  $clientId$$57_component$$342$$ = $clientId$$57_component$$342$$.$getClientId$();
  $subCompId_subComponent$$ = $AdfPage$$.$PAGE$.$findComponent$($AdfRichUIPeer$$.$CreateSubId$($clientId$$57_component$$342$$, $subCompId_subComponent$$));
  $AdfAssert$$.$assertPrototype$($subCompId_subComponent$$, $AdfUIComponent$$);
  $subCompId_subComponent$$.setValue($newValue$$26$$);
};
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_eventSourceIsComponentWithId$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$_eventSourceIsComponentWithId$$($compSubId$$1_component$$343$$, $componentEvent$$30_sourceId$$2$$, $id$$230$$) {
  $componentEvent$$30_sourceId$$2$$ = $componentEvent$$30_sourceId$$2$$.getSource().$getClientId$();
  $compSubId$$1_component$$343$$ = $AdfRichUIPeer$$.$CreateSubId$($compSubId$$1_component$$343$$.$getClientId$(), $id$$230$$);
  return $componentEvent$$30_sourceId$$2$$ == $compSubId$$1_component$$343$$;
};
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_constructNumberSpinBoxComponent$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$_constructNumberSpinBoxComponent$$($clientId$$58$$, $minVal$$1$$, $maxVal$$1$$, $converter$$3$$) {
  return new AdfRichInputNumberSpinbox($clientId$$58$$, {minimum:$minVal$$1$$, maximum:$maxVal$$1$$, converter:$converter$$3$$}, 1);
};
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_constructSelectOneRadioComponent$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$_constructSelectOneRadioComponent$$($clientId$$59$$) {
  return new AdfRichSelectOneRadio($clientId$$59$$, {simple:!0, layout:"horizontal"}, 1);
};
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_constructNumberConverterForHourSpinBox$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$_constructNumberConverterForHourSpinBox$$($component$$344$$) {
  if (!$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_hhConverter$) {
    var $cdRootElem$$17$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$344$$);
    $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_hhConverter$ = new TrNumberConverter(null, "number", null, null, !1, !0, !1, null, null, null, null, null, $AdfDhtmlChooseDateDOMQueries$$.$getHourDigitCount$($component$$344$$, $cdRootElem$$17$$), null, null);
  }
  return $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_hhConverter$;
};
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_constructNumberConverterForMinuteSpinBox$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$_constructNumberConverterForMinuteSpinBox$$($component$$345$$) {
  if (!$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_mmConverter$) {
    var $cdRootElem$$18$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$345$$);
    $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_mmConverter$ = new TrNumberConverter(null, "number", null, null, !1, !0, !1, null, null, null, null, null, $AdfDhtmlChooseDateDOMQueries$$.$getMinuteDigitCount$($component$$345$$, $cdRootElem$$18$$), null, null);
  }
  return $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_mmConverter$;
};
$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_constructNumberConverterForSecondSpinBox$ = function $$AdfDhtmlChooseDateCompactTimeSelectionPanel$$$$_constructNumberConverterForSecondSpinBox$$($component$$346$$) {
  if (!$AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_ssConverter$) {
    var $cdRootElem$$19$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$346$$);
    $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_ssConverter$ = new TrNumberConverter(null, "number", null, null, !1, !0, !1, null, null, null, null, null, $AdfDhtmlChooseDateDOMQueries$$.$getSecondDigitCount$($component$$346$$, $cdRootElem$$19$$), null, null);
  }
  return $AdfDhtmlChooseDateCompactTimeSelectionPanel$$.$_ssConverter$;
};
